Subject: bug#38713: 27.0.50; eww doesn't handle protocols other than https?

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Dec 2019 02:31:09 +0100

Juri Linkov <[email-masked]> writes:

> This is part of the planned bigger effort - browsers already support
> the 'about' URI scheme, but Emacs is still lagging behind.  I'd like
> to expend lisp/url/url-about.el to give information on Emacs internals
> including about:memory, about:buffers, about:processes, about:timers and
> many more, using HTML instead of semi-obsolete Info or other ad-hoc formats.
>
> Do you think this is worth the effort?

Reimplementing the Emacs Lisp manual piece-by-piece in eww doesn't sound
like a very promising path, I think?  And for live data on things, `M-x
list-timers' is always going to be better than HTML.

The long-term goal is to have the TeXinfo target HTML instead of Info,
so the lispref manual will end up being HTML.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no